/*
    (C) 1995-96 AROS - The Amiga Research OS
    $Id: output.c,v 1.1.1.1 2005/03/15 15:54:40 laire Exp $

    Desc:
    Lang: english
*/
#include <proto/exec.h>
#include "dos_intern.h"

/*****************************************************************************

    NAME */
#include <proto/dos.h>

	AROS_LH0(BPTR, Output,

/*  SYNOPSIS */

/*  LOCATION */
	struct DosLibrary *, DOSBase, 10, Dos)

/*  FUNCTION
	Returns the current output stream or 0 if there is no current
	output stream.

    INPUTS

    RESULT
	Output stream handle.

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO

    INTERNALS

    HISTORY
	29-10-95    digulla automatically created from
			    dos_lib.fd and clib/dos_protos.h

*****************************************************************************/
{
    AROS_LIBFUNC_INIT
    AROS_LIBBASE_EXT_DECL(struct DosLibrary *,DOSBase)

    /* Get pointer to process structure */
    struct Process *me=(struct Process *)FindTask(NULL);

    FAILFORTASK(me, return 0;)

    /* Nothing spectacular */
    return me->pr_COS;
    AROS_LIBFUNC_EXIT
} /* Output */
